Subject: Link to pushed commits from issue pages

From: Arun Isaac <[email-masked]>
Date: Thu, 13 Mar 2025 01:05:36 +0000

Forges typically link to the commit that was finally pushed. mumi should
do the same. This is important because committers often don't note the
final commit hash and contributors are left grepping through the git
log.

Despite mumi's weak coupling to the git repository, it is actually
possible to implement this feature thanks to the Change-Id trailer in
Guix commit messages.